/*
 * hobie.pov
 *
 * POV-Ray scene description for Hobie Cat 16 catamaran
 *
 * Copyright (c) 1996 Ville Saari
 *
 * Created: 26-Jul-96
 *
 * Author:
 *
 *   Ville Saari
 *   Tallbergin puistotie 7 B 21
 *   00200 Helsinki
 *   FINLAND
 *
 *   EMail: vs@iki.fi
 */

global_settings { assumed_gamma 1 }
#declare rudder_raise=1

#include "hobie.inc"
#include "skies.inc"

#declare r=seed(34580)

union
   {
   #declare f=-50
   #while(f<50)
      sphere
         {
         -y, 1
         scale <20+20*rand(r), 50, 50+50*rand(r)>
         translate <f, rand(r), -50+100*rand(r)>
         }

      #declare f=f+2
   #end

   scale <0.5, 0.2, 0.5>
   rotate -4*x

   pigment { rgb <1, .7, .1> }

   normal
      {
      bumps 0.6
      scale 0.15
      }

   finish { crand 0.05 }
   }

plane
   {
   y, 0

   pigment { rgb <.05, .3, 0.5> }

   normal
      {
      waves 0.1
      frequency 5000
      scale 2000
      }

   finish
      {
      ambient 0
      diffuse 0.4
      reflection 0.5
      }
   }

sky_sphere { S_Cloud1 }

object
   {
   hobie

   rotate 15*y
   rotate -5*x
   rotate 2*z

   translate <4, 0.7, 8>
   }

light_source { 10000*<-1, 1, -0.6> 1.3*White }

camera
   {
   location <0, 4, 30>
   direction 2*z
   look_at <2, 5, 0>
   }

